<?php
    return [
      [
        'name' => 'SavedSearch_Recurring_Contribution_Changes_Monitor',
        'entity' => 'SavedSearch',
        'cleanup' => 'unused',
        'update' => 'unmodified',
        'params' => [
          'version' => 4,
          'values' => [
            'name' => 'Recurring_Contribution_Changes_Monitor',
            'label' => 'Monitor Recurring Contribution changes',
            'form_values' => NULL,
            'search_custom_id' => NULL,
            'api_entity' => 'Activity',
            'api_params' => [
              'version' => 4,
              'select' => [
                'activity_date_time',
                'status_id:label',
                'subject',
                'id',
                'updaterecur_activity_fields.updaterecur_new_amount',
                'updaterecur_activity_fields.updaterecur_old_amount',
                'Activity_ActivityContact_Contact_01.display_name',
                'updaterecur_activity_fields.updaterecur_recur_id',
              ],
              'orderBy' => [],
              'where' => [
                [
                  'activity_type_id:name',
                  '=',
                  'updaterecur_change',
                ],
              ],
              'groupBy' => [],
              'join' => [
                [
                  'Contact AS Activity_ActivityContact_Contact_01',
                  'LEFT',
                  'ActivityContact',
                  [
                    'id',
                    '=',
                    'Activity_ActivityContact_Contact_01.activity_id',
                  ],
                  [
                    'Activity_ActivityContact_Contact_01.record_type_id:name',
                    '=',
                    '"Activity Targets"',
                  ],
                ],
              ],
              'having' => [],
            ],
            'expires_date' => NULL,
            'description' => NULL,
            'mapping_id' => NULL,
          ],
        ],
      ],
      [
        'name' => 'SavedSearch_Recurring_Contribution_Changes_Monitor_SearchDisplay_Table',
        'entity' => 'SearchDisplay',
        'cleanup' => 'unused',
        'update' => 'unmodified',
        'params' => [
          'version' => 4,
          'values' => [
            'name' => 'Table',
            'label' => 'Table',
            'saved_search_id.name' => 'Recurring_Contribution_Changes_Monitor',
            'type' => 'table',
            'settings' => [
              'actions' => TRUE,
              'limit' => 50,
              'classes' => [
                'table',
                'table-striped',
              ],
              'pager' => [
                'show_count' => TRUE,
                'expose_limit' => TRUE,
              ],
              'sort' => [],
              'columns' => [
                [
                  'type' => 'field',
                  'key' => 'activity_date_time',
                  'dataType' => 'Timestamp',
                  'label' => 'Date',
                  'sortable' => TRUE,
                ],
                [
                  'type' => 'field',
                  'key' => 'status_id:label',
                  'dataType' => 'Integer',
                  'label' => 'Status',
                  'sortable' => TRUE,
                ],
                [
                  'type' => 'field',
                  'key' => 'subject',
                  'dataType' => 'String',
                  'label' => 'Reason',
                  'sortable' => TRUE,
                  'title' => "The reason for the change is stored as the activity's subject",
                ],
                [
                  'type' => 'field',
                  'key' => 'Activity_ActivityContact_Contact_01.display_name',
                  'dataType' => 'String',
                  'label' => 'Contact',
                  'sortable' => TRUE,
                  'link' => [
                    'path' => '',
                    'entity' => 'Contact',
                    'action' => 'view',
                    'join' => 'Activity_ActivityContact_Contact_01',
                    'target' => '_blank',
                  ],
                  'title' => 'View Contact',
                ],
                [
                  'type' => 'field',
                  'key' => 'updaterecur_activity_fields.updaterecur_new_amount',
                  'dataType' => 'Float',
                  'label' => 'Amount',
                  'sortable' => FALSE,
                  'rewrite' => '[updaterecur_activity_fields.updaterecur_old_amount] → [updaterecur_activity_fields.updaterecur_new_amount]',
                ],
                [
                  'links' => [
                    [
                      'entity' => '',
                      'action' => '',
                      'join' => '',
                      'target' => '_blank',
                      'icon' => 'fa-money',
                      'text' => 'View Recurring',
                      'style' => 'default',
                      'path' => '/civicrm/contact/view/contributionrecur?reset=1&id=[updaterecur_activity_fields.updaterecur_recur_id]&cid=[Activity_ActivityContact_Contact_01.id]',
                      'condition' => [],
                    ],
                    [
                      'entity' => 'Activity',
                      'action' => 'view',
                      'join' => '',
                      'target' => '_blank',
                      'icon' => 'fa-list-alt',
                      'text' => 'View Activity',
                      'style' => 'default',
                      'path' => '',
                      'condition' => [],
                    ],
                  ],
                  'type' => 'links',
                  'alignment' => 'text-right',
                ],
              ],
              'cssRules' => [
                [
                  'bg-danger',
                  'status_id:label',
                  '=',
                  'Cancelled',
                ],
                [
                  'bg-success',
                  'status_id:label',
                  '=',
                  'Completed',
                ],
              ],
            ],
            'acl_bypass' => FALSE,
          ],
        ],
      ],
    ];
