<?php
    return [
      [
        'name' => 'SavedSearch_Upgrade_Recurring_Contributions',
        'entity' => 'SavedSearch',
        'cleanup' => 'unused',
        'update' => 'unmodified',
        'params' => [
          'version' => 4,
          'values' => [
            'name' => 'Upgrade_Recurring_Contributions',
            'label' => 'Find Recurring Contributions to change',
            'form_values' => NULL,
            'search_custom_id' => NULL,
            'api_entity' => 'ContributionRecur',
            'api_params' => [
              'version' => 4,
              'select' => [
                'id',
                'ContributionRecur_Contact_contact_id_01.display_name',
                'financial_type_id:label',
                'payment_instrument_id:label',
                'amount',
                'is_test',
              ],
              'orderBy' => [],
              'where' => [],
              'groupBy' => [],
              'join' => [
                [
                  'Contact AS ContributionRecur_Contact_contact_id_01',
                  'LEFT',
                  [
                    'contact_id',
                    '=',
                    'ContributionRecur_Contact_contact_id_01.id',
                  ],
                ],
              ],
              'having' => [],
            ],
            'expires_date' => NULL,
            'description' => NULL,
            'mapping_id' => NULL,
          ],
        ],
      ],
      [
        'name' => 'SavedSearch_Upgrade_Recurring_Contributions_SearchDisplay_Table',
        'entity' => 'SearchDisplay',
        'cleanup' => 'unused',
        'update' => 'unmodified',
        'params' => [
          'version' => 4,
          'values' => [
            'name' => 'Table',
            'label' => 'Table',
            'saved_search_id.name' => 'Upgrade_Recurring_Contributions',
            'type' => 'table',
            'settings' => [
              'actions' => TRUE,
              'limit' => 50,
              'classes' => [
                'table',
                'table-striped',
              ],
              'pager' => [
                'show_count' => TRUE,
                'expose_limit' => TRUE,
              ],
              'sort' => [],
              'columns' => [
                [
                  'type' => 'field',
                  'key' => 'id',
                  'dataType' => 'Integer',
                  'label' => 'Recur ID',
                  'sortable' => FALSE,
                  'alignment' => 'text-right',
                ],
                [
                  'type' => 'field',
                  'key' => 'ContributionRecur_Contact_contact_id_01.display_name',
                  'dataType' => 'String',
                  'label' => 'Contact',
                  'sortable' => TRUE,
                  'link' => [
                    'path' => '',
                    'entity' => 'Contact',
                    'action' => 'view',
                    'join' => 'ContributionRecur_Contact_contact_id_01',
                    'target' => '_blank',
                  ],
                  'title' => 'View Recurring Contribution Contact',
                ],
                [
                  'type' => 'field',
                  'key' => 'financial_type_id:label',
                  'dataType' => 'Integer',
                  'label' => 'Financial Type',
                  'sortable' => TRUE,
                ],
                [
                  'type' => 'field',
                  'key' => 'payment_instrument_id:label',
                  'dataType' => 'Integer',
                  'label' => 'Payment Method',
                  'sortable' => TRUE,
                ],
                [
                  'type' => 'field',
                  'key' => 'amount',
                  'dataType' => 'Money',
                  'label' => 'Amount',
                  'sortable' => TRUE,
                ],
                [
                  'type' => 'field',
                  'key' => 'is_test',
                  'dataType' => 'Boolean',
                  'label' => 'Test',
                  'sortable' => TRUE,
                ],
              ],
              'button' => NULL,
            ],
            'acl_bypass' => FALSE,
          ],
        ],
      ],
    ];
